Debian Bug report logs - #456515
lintian: Undesirable spelling warning on changelog entries describing spelling fixes

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Andreas Hoenen <andreas.hoenen@arcor.de>

Date: Sun, 16 Dec 2007 10:57:01 UTC

Severity: normal

Found in version lintian/1.23.41

Fixed in version lintian/1.23.42

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#456515; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Andreas Hoenen <andreas.hoenen@arcor.de>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Hoenen <andreas.hoenen@arcor.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: Undesirable spelling warning on changelog entries describing spelling fixes
Date: Sun, 16 Dec 2007 11:53:59 +0100
Package: lintian
Version: 1.23.41
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Describing the problem by an example:

lintian's spelling check has found a spelling error in dblatex's copyright file:

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
W: dblatex: spelling-error-in-copyright publically publicly
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

Okay, thanks for the hint, fixing the spelling and logging it in changelog:

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
  * debian/copyright:
    + Fix spelling: publically -> publicly
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

But now lintian warns about my changelog entry:

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
W: dblatex: spelling-error-in-changelog publically publicly
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

...  At this point I get the spontaneous feeling that lintian doesn't help me
any longer, but starts to patronize me: I like the changelog entry as it is:
describing precisely my actions.

One could think either about a pattern that disables spell checking for the
current changelog line, or about skipping the spelling checks on changelog at
all (which seems to be one opinion expressed in BTS thread #36017).

- -- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-k7 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lintian depends on:
ii  binutils            2.18.1~cvs20071027-1 The GNU assembler, linker and bina
ii  diffstat            1.45-2               produces graph of changes introduc
ii  dpkg-dev            1.14.12              package building tools for Debian
ii  file                4.21-3               Determines file type using "magic"
ii  gettext             0.16.1-2             GNU Internationalization utilities
ii  intltool-debian     0.35.0+20060710.1    Help i18n of RFC822 compliant conf
ii  libparse-debianchan 1.1.1-1              parse Debian changelogs and output
ii  liburi-perl         1.35.dfsg.1-1        Manipulates and accesses URI strin
ii  man-db              2.5.0-4              on-line manual pager
ii  perl [libdigest-md5 5.8.8-12             Larry Wall's Practical Extraction 

lintian recommends no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHZQPHco2LfriI0s4RAtCIAKC/4cEqQAaKY9x+FsqEv9OZdQ4//QCcDvAL
Df22aUnFdpCBDIQfGBnGKnc=
=sO5f
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#456515; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at 456515@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Andreas Hoenen <andreas.hoenen@arcor.de>
Cc: 456515@bugs.debian.org
Subject: Re: Bug#456515: lintian: Undesirable spelling warning on changelog entries describing spelling fixes
Date: Sun, 16 Dec 2007 12:32:30 -0800
Andreas Hoenen <andreas.hoenen@arcor.de> writes:

> Okay, thanks for the hint, fixing the spelling and logging it in
> changelog:
>
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
>   * debian/copyright:
>     + Fix spelling: publically -> publicly
> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
>
> But now lintian warns about my changelog entry:
>
> >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
> W: dblatex: spelling-error-in-changelog publically publicly
> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

Yeah, I was worried about this but I couldn't figure out any good way to
fix it beyond just recommending that people say "Fix spelling of publicly"
instead without reproducing the spelling error in the changelog entry.

I agree that you should be able to do that, but it's hard to teach lintian
to be smart enough to realize that's what you're doing.

> One could think either about a pattern that disables spell checking for
> the current changelog line, or about skipping the spelling checks on
> changelog at all (which seems to be one opinion expressed in BTS thread
> #36017).

I do think that the changelog should be spell-checked.  The concern in
#36017 (as I read it) was that we not use a regular spell-checker that
would give a ton of false positives on technical language and idiom, and I
also don't want people to fix spelling in all the historical entries, but
I think it's reasonable to check the current entry for common spelling
errors.

The current spelling check isn't line-based, but maybe we could make it a
bit smarter so that it ignores spelling errors in the changelog entry if
the word "spelling" occurs on the same line.  This won't catch all cases
like yours, but might reduce false positives.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#456515; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to "Leo \"costela\" Antunes" <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #15 received at 456515@bugs.debian.org (full text, mbox):

From: "Leo \"costela\" Antunes" <costela@debian.org>
To: 456515@bugs.debian.org, 456515-subscribe@bugs.debian.org
Subject: Suggestions
Date: Sun, 16 Dec 2007 21:55:10 +0100
[Message part 1 (text/plain, inline)]
Hi,

How about ignoring any work followed by '[sic]'?
This would make use of a commonly used method[0] to indicate an
intentional error, without impairing the readability of the changelog.

Another option would be ignoring words/phrases within quotes/double
quotes, but this could be a bit too far reaching.

I haven't looked how the spelling checks are implemented in lintian,
therefore I may be giving a fairly useless opinion. Sorry if that's the
case! ;-)

Cheers

[0] http://en.wikipedia.org/wiki/Sic

-- 
Leo "costela" Antunes
[insert a witty retort here]


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#456515; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to "Leo \"costela\" Antunes" <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #20 received at 456515@bugs.debian.org (full text, mbox):

From: "Leo \"costela\" Antunes" <costela@debian.org>
To: 456515@bugs.debian.org
Subject: Oops
Date: Sun, 16 Dec 2007 22:04:21 +0100
[Message part 1 (text/plain, inline)]
> How about ignoring any work

And of course, with that I meant 'WORD'.
That seems to be another case in which a spell checker can hardly do any
good.
It was intentional! Just to prove a point... ;-)

Cheers

-- 
Leo "costela" Antunes
[insert a witty retort here]


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#456515; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Andreas Hoenen <andreas.hoenen@arcor.de>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #25 received at 456515@bugs.debian.org (full text, mbox):

From: Andreas Hoenen <andreas.hoenen@arcor.de>
To: 456515@bugs.debian.org
Subject: Re: Bug#456515: lintian: Undesirable spelling warning on changelog entries describing spelling fixes
Date: Mon, 17 Dec 2007 20:41:06 +0100
[Message part 1 (text/plain, inline)]
Russ Allbery <rra@debian.org> wrote:

<snip/>
> The current spelling check isn't line-based, but maybe we could make it a
> bit smarter so that it ignores spelling errors in the changelog entry if
> the word "spelling" occurs on the same line.  This won't catch all cases
> like yours, but might reduce false positives.
<snip/>

Sounds good to me.  Perhaps it would be helpful to document this
behaviour prominently in the 'lintian -i' output?  Something like this:

N:   Lintian found a spelling error in the latest entry of the Debian
N:   changelog. Lintian has a list of common misspellings that it looks
N:   for. It does not have a dictionary like a spelling checker does.
N:   If you use the wrong spelling by intention, you can avoid this
N:   warning by using the phrase 'spelling' in the same line, e.g.:
N:   * Fix spelling: publically -> publicly

Ideally, the example could dynamically use the spelling error which
triggered it.

Andreas Hoenen <andreas.hoenen@arcor.de>
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from www-data <www-data@wolffelaar.nl> to control@bugs.debian.org. (Thu, 03 Jan 2008 04:45:03 GMT) Full text and rfc822 format available.

Message sent on to Andreas Hoenen <andreas.hoenen@arcor.de>:
Bug#456515. Full text and rfc822 format available.

Message #30 received at 456515-submitter@bugs.debian.org (full text, mbox):

From: www-data <www-data@wolffelaar.nl>
To: control@bugs.debian.org, 456515-submitter@bugs.debian.org
Subject: Lintian bugs fixed in revision r1093
Date: Thu, 03 Jan 2008 05:39:32 +0100
package lintian
# Fixed in r1093 by rra
tag 456515 + pending
thanks

These bugs are fixed in revision 1093 by rra
Log message:
* checks/changelog-file{.desc,}:
  + [RA] Don't spell-check lines that include the word "spelling".
    Thanks, Andreas Hoenen.  (Closes: #456515)






Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Hoenen <andreas.hoenen@arcor.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 456515-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 456515-close@bugs.debian.org
Subject: Bug#456515: fixed in lintian 1.23.42
Date: Sun, 06 Jan 2008 01:47:02 +0000
Source: lintian
Source-Version: 1.23.42

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_1.23.42.dsc
  to pool/main/l/lintian/lintian_1.23.42.dsc
lintian_1.23.42.tar.gz
  to pool/main/l/lintian/lintian_1.23.42.tar.gz
lintian_1.23.42_all.deb
  to pool/main/l/lintian/lintian_1.23.42_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 456515@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Jan 2008 17:16:32 -0800
Source: lintian
Binary: lintian
Architecture: source all
Version: 1.23.42
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 lintian    - Debian package checker
Closes: 453931 454238 454790 455732 456286 456318 456405 456515 456582 456802 457067 457219 457501 457513 457523 457527 458036 458074 458376 458596 458831 458896 459042 459252 459254 459293
Changes: 
 lintian (1.23.42) unstable; urgency=low
 .
   The "what did you do on your Christmas vacation?" release.
 .
   * checks/binaries:
     + [RA] Don't warn about unstripped binaries in .../lib/debug.  Some
       packages include debugging symbols in the main package.
     + [RA] Allow rpath pointing to /usr/lib/games/<package>.  Thanks, Bas
       Wijnen.  (Closes: #456318)
     + [RA] Exclude nsswitch modules from multiple SONAME and package
       naming checks.
   * checks/changelog-file{.desc,}:
     + [RA] Don't spell-check lines that include the word "spelling".
       Thanks, Andreas Hoenen.  (Closes: #456515)
     + [RA] Allow long no-whitespace lines even when spaces or bullets
       precede the text.
   * checks/common_data.pm:
     + [RA] Remove the obsolete base section.  (Policy change pending).
   * checks/control-file{.desc,}:
     + [RA] Include the package name in stronger-dependency-implies-weaker.
     + [RA] Fix stronger-dependency-implies-weaker description cut and
       paste error.  Thanks, Rafael Laboissiere.  (Closes: #456405)
   * checks/copyright-file{.desc,}:
     + [RA] Warn about packages covered by the GPL and linked with libssl
       that don't list other common licenses or mention a license exception
       or exemption.  Requested by Joerg Jaspert.  (Closes: #454238)
   * checks/cruft:
     + [RA] Ignore debian/config.cache.
   * checks/debconf{.desc,}:
     + Remove partially-translated-question at the request of Christian
       Perrier.  Only the translator could fix this, and debconf doesn't
       show the translation unless it's complete.  (Closes: #459293)
   * checks/debian-readme{.desc,}:
     + Combine readme-debian-{is,contains}-debmake-template and be less
       particular about the exact formatting of the dh-make template.
       Triggering off the template text is enough and matches linda.
       Thanks, Joerg Jaspert.  (Closes: #458074)
   * checks/description{.desc,}:
     + [RA] Do picky spelling and capitalization checks on the description
       and note and explain this in the long description.
   * checks/fields:
     + [RA] Handle double-colon rules when checking that build dependencies
       match debian/rules.  (Closes: #457501)
     + [RA] Allow python-setuptools in Build-Depends for arch-independent
       Python packages.  Thanks, Vincent Bernat.  (Closes: #459042)
   * checks/fields.desc:
     + [RA] Remove X.X.X versions from the debian-revision-not-well-formed
       long description.  (Closes: #456286)
     + [RA] Update references and binary-NMU version descriptions.
   * checks/files:
     + [RA] Ignore zero-length files in /usr/share/doc/examples.
     + [RA] The underFooLicense.docbook files from KDE are not license
       files.  Thanks, Sune Vuorela.  (Closes: #458831)
     + [RA] Allow /emul as a top-level directory and files in
       /emul/ia32-linux/{lib,usr/lib}.  (Closes: #459254)
   * checks/files.desc:
     + [RA] Remove a stray variable from the config-file-reserved tag.
   * checks/init.d{.desc,}:
     + [RA] Warn on init scripts that list S in their Default-Stop LSB
       keyword.  Thanks, Petter Reinholdtsen.  (Closes: #458596)
   * checks/menu-format{.desc,}:
     + [RA] Fix non-wm-module-in-wm-modules-menu-section pluralization to
       match the check and reword the long description to be hopefully
       clearer.  Thanks, Martín Ferrari.  (Closes: #457527)
     + [RA] Warn about use of su wrappers other than su-to-root for desktop
       and Live CD support.  Thanks, Daniel Baumann.  (Closes: #453931)
     + [RA] Only check for desktop files in /usr/share/applications.  The
       ones elsewhere are too strange.  (Closes: #459252)
   * checks/menus{.desc,}:
     + [RA] Spelling errors in doc-base files should only be warnings.  Do
       picky spelling and capitalization checks on the abstract and title
       fields.
   * checks/patch-systems:
     + [RA] dpatch permits multiple patches to be listed on the same line
       of 00list.  Patch by Chris Lamb.  (Closes: #457523)
   * checks/scripts{.desc,}:
     + [RA] Add lua40 and lua5.1.  Thanks, Enrico Tassi.  (Closes: #457219)
     + [RA] Improve recognition of heredocs.
     + [RA] Recognize quoted strings that start at beginning of the line.
     + [RA] Rewrite script path and dependency checking.  Remove scripts
       and packages no longer in the archive.  Add new versions of
       versioned scripts and packages.  Fix the dependencies for pike
       interpreters.  (Closes: #458896)
     + [RA] Reformat long descriptions and collapse some tags.
     + [RA] For consistent results, only syntax-check sh and bash scripts.
       Also ignore all dpatch files, not just those in /usr/src.
   * checks/shared-libs{.desc,}:
     + [RA] New check for version numbers in symbol files.  Based on a
       patch from Raphael Hertzog.  (Closes: #457067)
     + [RA] Exclude nsswitch modules from shlibs file checks.
     + [RA] ld.so may also look in /emul/ia32-linux/{lib,usr/lib}.
 .
   * debian/control:
     + [RA] Suggest libtext-template-perl, needed for HTML reporting.
   * debian/copyright:
     + [RA] Add my copyright statement.
     + [RA] Reference GPL-2, not the GPL symlink, reflecting our license.
 .
   * frontend/lintian:
     + [RA] Merge all override messages into a single message per run.  Add
       -q/--quiet option to suppress that message.  (Closes: #457513)
     + [RA] Allow + and . in tag names in overrides.  Thanks, Stefan
       Fritsch.  (Closes: #454790)
     + [RA] Check that the argument to --color is valid.
     + [RA] Warn about no package arguments unless --setup-lab or
       --remove-lab are given.  Thanks, Damyan Ivanov.  (Closes: #455732)
     + [RA] Add support for HTML coloring.  (Closes: #458376)
   * frontend/lintian-info:
     + [RA] Allow for HTML color tags.
     + [RA] Add -a to annotate an override file.
 .
   * lib/Dep.pm:
     + [RA] Allow substvars instead of package names so that dependency
       checks against the source debian/control file don't treat all
       substvars as equivalent.  Thanks, Julien Cristau.  (Closes: #456802)
   * lib/Spelling.pm:
     + [RA] Stop doing capitalization checks on all files; there's too much
       of a risk of false positives.  Instead, provide a separate picky
       spelling check function for package descriptions and similar cases
       where we're more sure of the contents.
     + [RA] Expand the picky capitalization checks to catch Debian, GNOME,
       KDE, and Linux.  (Closes: #456582)
   * lib/Tags.pm:
     + [RA] Add support for HTML coloring.
 .
   * man/lintian.1:
     + [RA] Document the --color=html and -q/--quiet options.
   * man/lintian-info.1:
     + [RA] Document the --annotate option.
 .
   * reporting/html_reports:
     + [RA] Rewritten.
       - Include info, experimental, and overridden tags in the tag pages.
       - Generate a second report for each maintainer showing all tags.
       - Correctly handle multiple different maintainer strings with the
         same e-mail address.
       - Correctly report the version number of a binary package when it
         differs from the source package.  (Closes: #458036)
       - Formatting changes (hopefully improvements) to the web pages.
       - New template-driven system for easier revision of the HTML.
   * reporting/lintian.css:
     + [RA] New minimal style sheet for the HTML reports.
   * reporting/templates/*:
     + [RA] New Text::Template page templates for the HTML reports.
 .
   * testset/runtests:
     + [RA] Test tags for valid characters.
Files: 
 639a8b52a6e3b97d5a85a121ecd51ca0 904 devel optional lintian_1.23.42.dsc
 39f86315255453da8fe5f694de99174d 376684 devel optional lintian_1.23.42.tar.gz
 2b5d54a89d427bce9576bd4be75aa4f1 313062 devel optional lintian_1.23.42_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHgC9Y+YXjQAr8dHYRAqqYAJ9aGm+4cm9KoePj7f964FGoHQNiEQCeLcI1
dwUub2M/aZ5QetbrF2JR714=
=klal
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Feb 2008 07:26:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:28:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.